Bug 865371 - Review Request: scid - A collection of numerical routines using Blas/Lapack [NEEDINFO]
Review Request: scid - A collection of numerical routines using Blas/Lapack
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dmitrij S. Kryzhevich
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SCITECH
  Show dependency treegraph
 
Reported: 2012-10-11 05:52 EDT by MERCIER Jonathan
Modified: 2016-02-14 21:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review?
kryzhev: needinfo? (bioinfornatics)


Attachments (Terms of Use)

  None (edit)
Comment 1 Jos de Kloe 2012-11-07 16:53:07 EST
Your srpm and spec file seem no longer available.
Could you make them available again please?
Comment 3 Sébastien Boisvert 2012-11-07 22:57:05 EST
*This is not a formal review because I am not sponsored yet.

Small mispelling / erreur d'ortographe:

> SciD est une collection de fonction numériques et de lien écrit enet pour le
de lien écrit en et pour le

> Summary:        It is a hcollection of numerical routines for D language
collection

>. /build lib %{_d_optflags} &
> pid_list=( "${pid_list[@]}" "${!}")

Is it useful to start process in background and then wait for them to finish ?


Builds fine with mock.

rpmlint throws a few warnings:

$ rpmlint scid.spec 
scid.spec: W: invalid-url Source0: scid-20120429git51236f3.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint  scid-*.rpm
scid.x86_64: I: enchant-dictionary-not-found fr_FR
scid.x86_64: W: unstripped-binary-or-object /usr/lib64/libscid-ldc.so.1.0.0
scid.x86_64: W: shared-lib-calls-exit /usr/lib64/libscid-ldc.so.1.0.0 exit@GLIBC_2.2.5
scid.x86_64: W: shared-lib-calls-exit /usr/lib64/libscid-ldc.so.1.0.0 exit@@GLIBC_2.2.5
scid-devel.x86_64: W: spelling-error Summary(en_US) hcollection -> collection, h collection, collectible
scid-devel.x86_64: I: enchant-dictionary-not-found fr
scid-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

$ rpmlint scid scid-devel
scid.x86_64: I: enchant-dictionary-not-found fr_FR
scid.x86_64: W: unstripped-binary-or-object /usr/lib64/libscid-ldc.so.1.0.0
scid.x86_64: W: undefined-non-weak-symbol /usr/lib64/libscid-ldc.so.1.0.0 __data_start
scid.x86_64: W: undefined-non-weak-symbol /usr/lib64/libscid-ldc.so.1.0.0 _Dmain
scid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscid-ldc.so.1.0.0 /lib64/librt.so.1
scid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscid-ldc.so.1.0.0 /lib64/libdl.so.2
scid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscid-ldc.so.1.0.0 /lib64/libpthread.so.0
scid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscid-ldc.so.1.0.0 /lib64/libm.so.6
scid.x86_64: W: shared-lib-calls-exit /usr/lib64/libscid-ldc.so.1.0.0 exit@GLIBC_2.2.5
scid.x86_64: W: shared-lib-calls-exit /usr/lib64/libscid-ldc.so.1.0.0 exit@@GLIBC_2.2.5
scid-devel.x86_64: W: spelling-error Summary(en_US) hcollection -> collection, h collection, collectible
scid-devel.x86_64: I: enchant-dictionary-not-found fr
scid-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 11 warnings.
Comment 4 MERCIER Jonathan 2013-06-17 19:22:35 EDT
Oh sorry, this request is complety get out of my mind
Comment 5 Christopher Meng 2013-07-14 04:48:22 EDT
Would you like to continue packaging?
Comment 6 MERCIER Jonathan 2013-07-16 17:48:24 EDT
yes i was a little busy and now i need to do some work before to put again a rspms . I think i will provides one saturday. Really sorry i do it on my free time
Comment 7 MERCIER Jonathan 2013-07-21 19:10:21 EDT
i wait upstream for an enhancement https://github.com/kyllingstad/scid/pull/9
I hope he will use it that will help us a little
Comment 8 MERCIER Jonathan 2013-08-03 11:47:04 EDT
Hi good news that should to be ok \o/

http://bioinfornatics.fedorapeople.org/packages/scid-0.1-0.20130803gita54db09.fc19.2.src.rpm

http://bioinfornatics.fedorapeople.org/packages/scid.spec


$ rpmlint ../RPMS/x86_64/scid-*
scid.x86_64: W: unstripped-binary-or-object /usr/lib64/libscid-ldc.so.0.1.0
scid.x86_64: W: shared-lib-calls-exit /usr/lib64/libscid-ldc.so.0.1.0 exit@GLIBC_2.2.5
scid-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 3 warnings.


about unstripped that because the way to strip do not works for D program

$ rpmlint ../SRPMS/scid-0.1-0.20130803gita54db09.fc19.2.src.rpm 
scid.src: W: invalid-url Source0: scid-20130803gita54db09.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ../SPECS/scid.spec 
../SPECS/scid.spec: W: invalid-url Source0: scid-20130803gita54db09.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

thanks for the review
Comment 9 MERCIER Jonathan 2013-08-03 20:19:09 EDT
scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=5722844
Comment 10 Susi Lehtola 2013-12-23 11:21:35 EST
Summary:        It is a collection of numerical routines for D language
Summary(fr):    Est une collection de routine pour le calcul numérique pour le langage D

%package devel
Summary:        It is a collection of numerical routines for D language
Summary(fr):    Est une collection de routine pour le calcul numérique pour le langage D

Avoid using "it is" or "scid is", it's superfluous. Also, use the plural because there are more than one routine. So:

Summary:        A collection of numerical routines for D language
Summary(fr):    Une collection de routines pour le calcul numérique pour le langage D

%package devel
Summary:        A collection of numerical routines for D language
Summary(fr):    Une collection de routines pour le calcul numérique pour le langage D
Comment 11 Eduardo Mayorga 2014-08-01 22:57:48 EDT
Any news from this?
Comment 12 Christopher Meng 2014-08-02 01:56:57 EDT
(In reply to Eduardo Mayorga from comment #11)
> Any news from this?

What do you mean?
Comment 13 Eduardo Mayorga 2014-08-02 13:49:13 EDT
(In reply to Christopher Meng from comment #12)
> (In reply to Eduardo Mayorga from comment #11)
> > Any news from this?
> 
> What do you mean?

You assigned the review to yourself, and there's not been any progress since then.
Comment 14 Christopher Meng 2014-08-02 21:14:27 EDT
(In reply to Eduardo Mayorga from comment #13)
> (In reply to Christopher Meng from comment #12)
> > (In reply to Eduardo Mayorga from comment #11)
> > > Any news from this?
> > 
> > What do you mean?
> 
> You assigned the review to yourself, and there's not been any progress since
> then.

What?

You'd better figure out who is absent first. Then you will understand it figures.
Comment 15 Dmitrij S. Kryzhevich 2014-08-03 00:40:36 EDT
I see srpm and spec here, no "needinfo" flags, not any requests. And no review (review flag set to "?" in 2013-12-23 with no actual review).

Christopher, please, me too is who not understand.
Comment 16 Christopher Meng 2014-08-03 01:37:55 EDT
https://lists.fedoraproject.org/pipermail/devel/2014-July/201139.html

I won't review this until Mercier has addressed the issue mentioned by Susi.
Comment 17 Dmitrij S. Kryzhevich 2014-08-03 02:07:53 EDT
"Fri Jul 18 13:38:29 UTC 2014"? *Sigh*
Anyway, right, waiting for respond.
Comment 18 MERCIER Jonathan 2015-09-20 13:01:11 EDT
SRPMS: http://www.bioinfornatics.eu/packages/scid-20150909gitccdc560.tar.xz
SPEC: http://www.bioinfornatics.eu/packages/scid.spec
PATCH: http://www.bioinfornatics.eu/packages/scid_install_header.patch

Note ldc had some critical bug and i was not able anymore to build this package. Now all is fixed. we can to continue the review
Comment 20 MERCIER Jonathan 2015-09-20 14:01:10 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/geany,
     /usr/share/geany/tags
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
The D compiler don not build yet on fedora arm thus we can not build this package on arm yet
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 491520 bytes in 67 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in scid-
     devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: scid-0.3-0.20150909gitccdc560.fc22.3.x86_64.rpm
          scid-devel-0.3-0.20150909gitccdc560.fc22.3.x86_64.rpm
          scid-0.3-0.20150909gitccdc560.fc22.3.src.rpm
scid.x86_64: I: enchant-dictionary-not-found fr
scid.x86_64: W: spelling-error Summary(fr) langage -> language
scid.x86_64: W: spelling-error %description -l fr langage -> language
scid.x86_64: W: incoherent-version-in-changelog 0.1-0.20150909gitccdc560.3 ['0.3-0.20150909gitccdc560.fc22.3', '0.3-0.20150909gitccdc560.3']
scid.x86_64: W: unstripped-binary-or-object /usr/lib64/libscid-ldc.so.0.3.0
scid.x86_64: W: shared-lib-calls-exit /usr/lib64/libscid-ldc.so.0.3.0 exit@GLIBC_2.2.5
scid-devel.x86_64: W: spelling-error Summary(fr) langage -> language
scid-devel.x86_64: W: spelling-error %description -l fr langage -> language
scid-devel.x86_64: W: only-non-binary-in-usr-lib
scid-devel.x86_64: W: no-documentation
scid.src: W: spelling-error Summary(fr) langage -> language
scid.src: W: spelling-error %description -l fr langage -> language
scid.src: W: invalid-url Source0: scid-20150909gitccdc560.tar.xz
3 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
scid-devel.x86_64: I: enchant-dictionary-not-found fr
scid-devel.x86_64: W: spelling-error Summary(fr) langage -> language
scid-devel.x86_64: W: spelling-error %description -l fr langage -> language
scid-devel.x86_64: W: only-non-binary-in-usr-lib
scid-devel.x86_64: W: no-documentation
scid.x86_64: W: spelling-error Summary(fr) langage -> language
scid.x86_64: W: spelling-error %description -l fr langage -> language
scid.x86_64: W: incoherent-version-in-changelog 0.1-0.20150909gitccdc560.3 ['0.3-0.20150909gitccdc560.fc22.3', '0.3-0.20150909gitccdc560.3']
scid.x86_64: W: unstripped-binary-or-object /usr/lib64/libscid-ldc.so.0.3.0
scid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscid-ldc.so.0.3.0 /lib64/libblas.so.3
scid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscid-ldc.so.0.3.0 /lib64/libgfortran.so.3
scid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscid-ldc.so.0.3.0 /lib64/librt.so.1
scid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscid-ldc.so.0.3.0 /lib64/libdl.so.2
scid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscid-ldc.so.0.3.0 /lib64/libpthread.so.0
scid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscid-ldc.so.0.3.0 /lib64/libm.so.6
scid.x86_64: W: shared-lib-calls-exit /usr/lib64/libscid-ldc.so.0.3.0 exit@GLIBC_2.2.5
2 packages and 0 specfiles checked; 0 errors, 15 warnings.



Requires
--------
scid-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    ldc-druntime-devel
    ldc-phobos-devel
    libscid-ldc.so.0()(64bit)
    scid(x86-64)

scid (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    lapack
    ld-linux-x86-64.so.2()(64bit)
    libblas.so.3()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libdruntime-ldc.so.66()(64bit)
    libgfortran.so.3()(64bit)
    liblapack.so.3()(64bit)
    libm.so.6()(64bit)
    libphobos2-ldc.so.66()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
scid-devel:
    pkgconfig(scid)
    scid-devel
    scid-devel(x86-64)

scid:
    libscid-ldc.so.0()(64bit)
    scid
    scid(x86-64)



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 865371
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 21 Dmitrij S. Kryzhevich 2016-01-25 00:35:31 EST
Package Review
==============

Issues.

Must be fixed:
1. Latest Changelog version is for 0.1 and current version is 0.3.
2. First Changelog entry is for version 1. Misspell?
3. Script to obtain upstream should be fixed. Your script is for lates available version. Must be: packed version.
4. Summary and Description for -devel should represent -devel package.
5. Anowned dirs: /usr/share/geany and /usr/share/geany/tags. May be split-out that geany file and make it Require: geany?

Should be fixed:
1. shared-lib-calls-exit from libscid-ldc.so.0.3.0
2. unstripped-binary-or-object libscid-ldc.so.0.3.0. Is it normal for D libraris?
3. /usr/share/doc/scid is already processed in %{doc} macros. You could drop %{_defaultdocdir}/scid.
4. Requires: lapack -- is not neccessary. It would be pulled by auto-requires: liblapack.so.3
5. ldc already require ldc-druntime-devel and ldc-phobos-devel. If there is a reason to left them - good, otherwise they should be removed.
6. The same as for 5, but for -devel.



Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable

===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[!]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[!]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[!]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[!]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[!]: SourceX tarball generation or download is documented.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: scid-0.3-0.20150909gitccdc560.fc23.3.x86_64.rpm
          scid-devel-0.3-0.20150909gitccdc560.fc23.3.x86_64.rpm
          scid-0.3-0.20150909gitccdc560.fc23.3.src.rpm
scid.x86_64: I: enchant-dictionary-not-found fr
scid.x86_64: W: spelling-error Summary(fr) langage -> language
scid.x86_64: W: spelling-error %description -l fr langage -> language
scid.x86_64: W: incoherent-version-in-changelog 0.1-0.20150909gitccdc560.3 ['0.3-0.20150909gitccdc560.fc23.3', '0.3-0.20150909gitccdc560.3']
scid.x86_64: W: unstripped-binary-or-object /usr/lib64/libscid-ldc.so.0.3.0
scid.x86_64: W: shared-lib-calls-exit /usr/lib64/libscid-ldc.so.0.3.0 exit@GLIBC_2.2.5
scid-devel.x86_64: W: spelling-error Summary(fr) langage -> language
scid-devel.x86_64: W: spelling-error %description -l fr langage -> language
scid-devel.x86_64: W: only-non-binary-in-usr-lib
scid-devel.x86_64: W: no-documentation
scid.src: W: spelling-error Summary(fr) langage -> language
scid.src: W: spelling-error %description -l fr langage -> language
scid.src: W: invalid-url Source0: scid-20150909gitccdc560.tar.xz
3 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: Нет такого файла или каталога
scid-devel.x86_64: W: spelling-error Summary(fr) langage -> language
scid-devel.x86_64: W: spelling-error %description -l fr langage -> language
scid-devel.x86_64: W: only-non-binary-in-usr-lib
scid-devel.x86_64: W: no-documentation
scid.x86_64: W: spelling-error Summary(fr) langage -> language
scid.x86_64: W: spelling-error %description -l fr langage -> language
scid.x86_64: W: incoherent-version-in-changelog 0.1-0.20150909gitccdc560.3 ['0.3-0.20150909gitccdc560.fc23.3', '0.3-0.20150909gitccdc560.3']
scid.x86_64: W: unstripped-binary-or-object /usr/lib64/libscid-ldc.so.0.3.0
scid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscid-ldc.so.0.3.0 /lib64/libblas.so.3
scid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscid-ldc.so.0.3.0 /lib64/libgfortran.so.3
scid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscid-ldc.so.0.3.0 /lib64/librt.so.1
scid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscid-ldc.so.0.3.0 /lib64/libdl.so.2
scid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscid-ldc.so.0.3.0 /lib64/libpthread.so.0
scid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libscid-ldc.so.0.3.0 /lib64/libm.so.6
scid.x86_64: W: shared-lib-calls-exit /usr/lib64/libscid-ldc.so.0.3.0 exit@GLIBC_2.2.5
2 packages and 0 specfiles checked; 0 errors, 15 warnings.



Requires
--------
scid-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    ldc-druntime-devel
    ldc-phobos-devel
    libscid-ldc.so.0()(64bit)
    scid(x86-64)

scid (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    lapack
    ld-linux-x86-64.so.2()(64bit)
    libblas.so.3()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libdruntime-ldc.so.67()(64bit)
    libgfortran.so.3()(64bit)
    liblapack.so.3()(64bit)
    libm.so.6()(64bit)
    libphobos2-ldc.so.67()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
scid-devel:
    pkgconfig(scid)
    scid-devel
    scid-devel(x86-64)

scid:
    libscid-ldc.so.0()(64bit)
    scid
    scid(x86-64)



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 865371
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Note You need to log in before you can comment on or make changes to this bug.